Get Execution Logs
Retrieve chatbot execution logs for your project. Shows what actions and flows the chatbot executed during conversations.
Retrieve chatbot execution logs for your project. Shows what actions and flows the chatbot executed during conversations. Optionally filter by session or date range.
Authorization
apiKey
api-key<token>
API key for authentication. Generate your API key from the Integration settings in your YourGPT dashboard.
In: header
Request Body
application/json
session_uid?string
Filter logs by a specific session UID
from?string
Start date for filtering logs (YYYY-MM-DD)
Format
dateto?string
End date for filtering logs (YYYY-MM-DD)
Format
dateorderBy?string
Sort order. Defaults to DESC (newest first)
Value in
"ASC" | "DESC"limit?integer
Number of logs per page (max 100). Defaults to 10
Range
value <= 100page?integer
Page number for pagination. Defaults to 1
Response Body
application/json
application/json
application/json
curl -X POST "https://api.yourgpt.ai/chatbot/v1/getChatbotExecutionLogs" \ -H "Content-Type: application/json" \ -d '{}'{
"type": "RXSUCCESS",
"message": "string",
"data": [
{
"id": 0,
"project_id": 0,
"session_id": 0,
"data": {
"task": "string",
"type": "string",
"message": "string",
"data": {}
},
"createdAt": "2019-08-24T14:15:22Z",
"updatedAt": "2019-08-24T14:15:22Z",
"executionlog_session_data": {
"session_uid": 0
}
}
]
}{
"type": "RXERROR",
"message": "string"
}{
"type": "RXERROR",
"message": "string"
}